package io.github.serpro69.kfaker

/**
 * Represents a list of provider names as found in dict yml files.
 */
val dictionaryKeys = listOf(
    // Special providers for locale-based symbols
    "separator",
    "currency_symbol",
    // Rest of providers
    "address",
    "ancient",
    "creature",
    "app",
    "appliance",
    "aqua_teen_hunger_force",
    "artist",
    "back_to_the_future",
    "bank",
    "barcode",
    "basketball",
    "beer",
    "big_bang_theory",
    "blood",
    "bojack_horseman",
    "book",
    "bossa_nova",
    "breaking_bad",
    "buffy",
    "business",
    "cannabis",
    "chiquito",
    "chuck_norris",
    "code",
    "coffee",
    "coin",
    "color",
    "commerce",
    "community",
    "company",
    "compass",
    "computer",
    "construction",
    "cosmere",
    "crypto_coin",
    "culture_series",
    "currency",
    "dc_comics",
    "demographic",
    "departed",
    "dessert",
    "device",
    "dnd",
    "game",
    "games",
    "dragon_ball",
    "driving_licence",
    "drone",
    "dr_who",
    "dumb_and_dumber",
    "dune",
    "educator",
    "electrical_components",
    "esport",
    "family_guy",
    "file",
    "finance",
    "food",
    "football",
    "the_fresh_prince_of_bel_air",
    "friends",
    "funny_name",
    "futurama",
    "game_of_thrones",
    "gender",
    "ghostbusters",
    "grateful_dead",
    "greek_philosophers",
    "hacker",
    "harry_potter",
    "heroes",
    "heroes_of_the_storm",
    "hey_arnold",
    "hipster",
    "hitchhikers_guide_to_the_galaxy",
    "hobbit",
    "house",
    "how_i_met_your_mother",
    "id_number",
    "industry_segments",
    "internet",
    "invoice",
    "job",
    "kpop",
    "lebowski",
    "lord_of_the_rings",
    "lorem",
    "lovecraft",
    "markdown",
    "marketing",
    "measurement",
    "michael_scott",
    "military",
    "movie",
    "music",
    "name",
    "nation",
    "nato_phonetic_alphabet",
    "new_girl",
    "one_piece",
    "opera",
    "parks_and_rec",
    "pearl_jam",
    "phish",
    "phone_number",
    "cell_phone",
    "country_code",
    "prince",
    "princess_bride",
    "programming_language",
    "quote",
    "rajnikanth",
    "relationship",
    "restaurant",
    "rick_and_morty",
    "rock_band",
    "rupaul",
    "rush",
    "science",
    "seinfeld",
    "shakespeare",
    "show",
    "silicon_valley",
    "simpsons",
    "slack_emoji",
    "source",
    "south_park",
    "space",
    "stargate",
    "star_trek",
    "star_wars",
    "stranger_things",
    "stripe",
    "subscription",
    "suits",
    "superhero",
    "sword_art_online",
    "team",
    "the_expanse",
    "the_it_crowd",
    "the_thick_of_it",
    "twin_peaks",
    "umphreys_mcgee",
    "university",
    "vehicle",
    "venture_bros",
    "verbs",
    "v_for_vendetta",
    "world_cup",
    "yoda"
)

/**
 * Represents a list of address category keys as found in `locales/en/address.yml` file.
 */
val addressCategoryKeys = listOf(
    "city_prefix",
    "city_suffix",
    "country",
    "country_by_code",
    "country_by_name",
    "country_code",
    "country_code_long",
    "building_number",
    "community_prefix",
    "community_suffix",
    "community",
    "street_suffix",
    "secondary_address",
    "postcode",
    "postcode_by_state",
    "state",
    "state_abbr",
    "time_zone",
    "city",
    "city_name",
    "city_with_state",
    "street_name",
    "street_address",
    "full_address",
    "mail_box",
    "default_country"
)

